/* "Loan Calculator 1.0": Jeff's quick and dirty loan calculator,
   (C) 1997 Jeff Schmidt, see file 'COPYING' for terms of license.  This 
   program takes a dollar amount, interest rate in decimal notation, and
   duration of the loan in months, and outputs the amount of the monthly
   payment, as well as a chart of monthly quantities.
   									*/

#include <stdio.h>

double power(double a, int b);

int main(void)

{

        int mos, x, index, lines;

        double int_rate, principle, balance;

        double top, bottom, payment, money_owed, int_acrued;

        bottom = 1;

        
	printf("This program is distributed under the GPL (see file 'COPYING'). lcalc 1.0\n"
		"is provided AS IS, and in no way carries any warranty expressed or implied.\n"
	 	"This includes any warranty regarding the accuracy of the output of lcalc 1.0\n");
       
        
        printf("\nPlease enter the principle:\n");

        scanf("%lf", &principle);

        printf("Please enter the Interest rate:\n");

        scanf("%lf", &int_rate);

        printf("Please enter the duration of the loan in months:\n");

        scanf("%d", &mos);

        
	if (int_rate >= 1.0)
		int_rate /= 100;

        printf("\nPrinciple = $%-9.2lf, Interest Rate = %-lf%%, Duration = " 

                "%d months.\n", principle, int_rate * 100, mos);

        

        int_rate = (int_rate / 12) + 1.0;



        top = principle * power(int_rate, mos);



        for (x = mos - 1; x > 0; x--)

                bottom += power(int_rate, x);

        

        payment = (top / bottom);

        printf("\n                    ------------------------------------"

                "----\n");

        

        printf("                     Payment equals $%.2lf a month.\n", 

                payment);

        

        printf("                    ------------------------------------"

                "----\n\n");



        balance = principle;

        int_acrued = 0;

        

        printf("           Month | Bal. Comp.  - payment  = Balance "  

                "  | Int. Accrued\n"); 

        printf("           -----------------------------------------------"

                "----------\n");



        for (index = 1, lines = 1; index <= mos; index++, lines++)

        {

                

                while ( lines > 50)

                {       

                        printf("\f\n           ");

                        printf("Month | Bal. Comp.  - Payment  = Balance"

                                "   | Int. Accrued\n");

                        printf("           --------------------------"

                               " -------------------------------\n");

                        lines = 1;

                }

                

                money_owed = balance * int_rate;

                int_acrued += (balance * (int_rate - 1.0L));

                balance = money_owed - payment;

                printf("           %-5d | $%-10.2lf - $%-7.2lf = $%-8.2lf" 

                        " | $%-7.2f\n", index, money_owed, payment, 

                        balance, int_acrued);

        

        }



        printf("\n");

        for(index = 1; index < 80; index++) 

                printf("_");



        printf("\nThank you for using Loan Calculator 1.0: Jeff's FAST loan amortizer.\n");
	printf("(C) 1997 Jeff Schmidt (jschmidt@ripco.com).  Distributed"
	" under the terms\nof the GNU General Public License.\n\f");
        

        return 0;



}





double power(double a, int b)

{

        double n = 1;

        int i;



        for (i = 1; i <= b; i++)

            n *= a;



        return n;

}



__crt0_glob_function()

{}

__crt0_load_environment_file()

{}

__crt0_setup_arguments()

{}

